# Class Lst<V>

java.lang.Object
java.util.AbstractCollection<V>
java.util.AbstractList<V>
java.util.ArrayList<V>
javajs.util.Lst<V>

Type Parameters:
  `V` -

All Implemented Interfaces:
  `Serializable, Cloneable, Iterable<V>, Collection<V>, List<V>, RandomAccess, SequencedCollection<V>`

Direct Known Subclasses:
  `MeasurementData`

public class Lst<V> extends ArrayList<V>
created to remove ambiguities in add and remove

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`Lst()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int pos, V v)`
`boolean`
`add(V v)`
Deprecated.
`void`
`addLast(V v)`
`V`
`remove(int location)`
`boolean`
`remove(Object v)`
Deprecated.
`V`
`removeItemAt(int location)`
`boolean`
`removeObj(Object v)`

### Methods inherited from class ArrayList

`addAll, addAll, addFirst, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class AbstractCollection

`containsAll, toString`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Collection

`parallelStream, stream, toArray`

### Methods inherited from interface List

`containsAll, reversed`

## Constructor Details

### Lst

public Lst()

## Method Details

### add

@Deprecated public boolean add(V v)
Deprecated.

Specified by:
  `add` in interface `Collection<V>`
Specified by:
  `add` in interface `List<V>`
Overrides:
  `add` in class `ArrayList<V>`

### addLast

public void addLast(V v)

Specified by:
  `addLast` in interface `List<V>`
Specified by:
  `addLast` in interface `SequencedCollection<V>`
Overrides:
  `addLast` in class `ArrayList<V>`

### add

public void add(int pos, V v)

Specified by:
  `add` in interface `List<V>`
Overrides:
  `add` in class `ArrayList<V>`

### remove

public V remove(int location)

Specified by:
  `remove` in interface `List<V>`
Overrides:
  `remove` in class `ArrayList<V>`

### removeItemAt

public V removeItemAt(int location)

### remove

@Deprecated public boolean remove(Object v)
Deprecated.

Specified by:
  `remove` in interface `Collection<V>`
Specified by:
  `remove` in interface `List<V>`
Overrides:
  `remove` in class `ArrayList<V>`

### removeObj

public boolean removeObj(Object v)